--

RotorX = {};

function RotorX.prerequisitesPresent(specializations)
    return true;
end;
function RotorX:load(xmlFile)
    self.rotorsX = {};
    local i = 0;
    while true do
        local key = string.format("vehicle.rotorsX.rotorX(%d)", i);
        if not hasXMLProperty(xmlFile, key) then
             break;
        end;
        local node = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#index"));
        local speed = Utils.getNoNil(getXMLFloat(xmlFile, key.."#speed"),0.003);
        if node ~= nil then
            table.insert(self.rotorsX, {node=node,speed=speed});
        end;
        i = i + 1;
    end;
end;

function RotorX:delete()
end;

function RotorX:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RotorX:keyEvent(unicode, sym, modifier, isDown)
end;

function RotorX:update(dt)
end;

function RotorX:updateTick(dt)
    if self.isMotorStarted then
        for _,v in pairs(self.rotorsX) do
            if v.node ~= nil then
                rotate(v.node,v.speed*dt,0,0)
            end;
        end;
	end;
end;

function RotorX:onLeave()
end;

function RotorX:draw()
end;
